package com.rjconsultores.ventaboletos.enums;

public enum SituacaoVendaPacote {
	
	PAGO(0,"Pago"),
	RESERVA(1,"Reserva"),
	CANCELADO(2,"Cancelado");
	
	private Integer value;
	private String descricao;
	
	private SituacaoVendaPacote(Integer value, String descricao) {
		this.value = value;
		this.descricao = descricao;
	}

	@Override
	public String toString() {
		return this.descricao;
	}
	
	public static SituacaoVendaPacote getSituacaoVendaPacote(Integer value) {
		switch (value) {
		case 0:
			return PAGO;
		case 1:
			return RESERVA;
		case 2:
			return CANCELADO;
		default:
			return null;
		}
	}
	
	public Integer getShortValue() {
		return value;
	}
	
}
